Bug 106731 - [PATCH] Add Hanspring Treo 600 support to gnome-pilot
[PATCH] Add Hanspring Treo 600 support to gnome-pilot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-09 18:58 EDT by Dax Kelson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-23 17:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to gpilotd.c to add Handspring Treo 600 support (575 bytes, patch)
2003-10-09 18:59 EDT, Dax Kelson
no flags Details | Diff
New patch for gnome-pilot (670 bytes, patch)
2003-11-01 17:27 EST, Dax Kelson
no flags Details | Diff

  None (edit)
Description Dax Kelson 2003-10-09 18:58:40 EDT
Description of problem:

The Handspring Treo 600 looks to be an extremely popular device. Here is a patch
to gnome-pilot for support.

Using this patch I have Evolution syncing with my Treo 600.

It is extremely trivial, obviously correct. Please apply.

diff -ur gnome-pilot-2.0.10-tre600/gpilotd/gpilotd.c
gnome-pilot-2.0.10/gpilotd/gpilotd.c
--- gnome-pilot-2.0.10-tre600/gpilotd/gpilotd.c 2003-07-16 10:25:16.000000000 -0600
+++ gnome-pilot-2.0.10/gpilotd/gpilotd.c        2003-10-09 13:49:25.000000000 -0600
@@ -791,6 +791,7 @@
 {
        "Vendor=082d ProdID=0100", /* Handspring Visor/Treo 300 */
        "Vendor=082d ProdID=0200", /* Handspring Treo */
+       "Vendor=082d ProdID=0300", /* Handspring Treo 600*/
        "Vendor=0830 ProdID=0001", /* Palm M500 */
        "Vendor=0830 ProdID=0002", /* Palm M505 */
        "Vendor=0830 ProdID=0003", /* Palm M515 */
Comment 1 Dax Kelson 2003-10-09 18:59:26 EDT
Created attachment 95090 [details]
patch to gpilotd.c to add Handspring Treo 600 support
Comment 2 Jeremy Katz 2003-10-09 20:33:43 EDT
Please send this patch to the upstream maintainer as well (or let me know, and I
can)

Added for 2.0.10-3
Comment 3 Dax Kelson 2003-10-09 20:43:00 EDT
I did submit it upstream:

http://bugzilla.gnome.org/show_bug.cgi?id=124254

Jermey, can you push this bug along?

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=106654

It is another trivial, simple, 3 liner that adds Treo 600 support to the
kernel's visor driver.
Comment 4 Dax Kelson 2003-11-01 17:27:44 EST
Created attachment 95653 [details]
New patch for gnome-pilot

This patch also patches an array that needed patching. The old patch worked OK
on my box, but this one is more complete/better.
Comment 5 Jeremy Katz 2003-11-02 22:26:52 EST
Committed for -4
Comment 6 Dax Kelson 2004-05-23 17:44:22 EDT
thanks. 

Note You need to log in before you can comment on or make changes to this bug.